# pyhoff.devices.WAGO_750_352 — pyhoff documentation

Skip to main content
`Ctrl`+`K`

# pyhoff.devices.WAGO_750_352

class pyhoff.devices.WAGO_750_352(host, port=502, bus_terminals=[], timeout=5, watchdog=0, debug=False)

  Bases: `BusCoupler`

  Wago 750-352 ModBus TCP bus coupler

  add_bus_terminals(*new_bus_terminals)

    Add bus terminals to the bus coupler.

    Parameters:

      new_bus_terminals (`Union`[`type`[`BusTerminal`], `Iterable`[`type`[`BusTerminal`]]]) – bus terminal classes to add.

    Return type:

      `list`[`BusTerminal`]

    Returns:

      The corresponding list of bus terminal objects.

  get_error()

    Get the last error message.

    Return type:

      `str`

    Returns:

      The last error message.